de.dhbwstuttgart.syntaxtree.statement

## Class DoubleLiteral

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.literal.Literal
          - - de.dhbwstuttgart.syntaxtree.statement.literal.DoubleLiteral

- All Implemented Interfaces:
    IItemWithOffset, Typeable

      public class DoubleLiteral
      extends Literal

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `Double`
    `protected static Logger` | `parserlog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `usedid`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `inferencelog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `offset, type`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleLiteral()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `get_Double()`
    `java.lang.String` | `get_Name()`
    `Menge<SyntaxTreeNode>` | `getChildren()`
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `void` | `set_Double(double i)`
    `java.lang.String` | `toString()` Author: Martin PlÃ¯Â¿Â½micke
    `ConstraintsSet` | `TYPEExpr(TypeAssumptions assumptions)`
    `void` | `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Literal

      `getPrimitiveFlag, setPrimitiveFlag`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TYPEStmt`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `getTypeLineNumber, getTypeName`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Double

          private double Double

    - #### parserlog

          protected static Logger parserlog

  - ### Constructor Detail

    - #### DoubleLiteral

          public DoubleLiteral()

  - ### Method Detail

    - #### set_Double

          public void set_Double(double i)

    - #### get_Double

          public double get_Double()

    - #### get_Name

          public java.lang.String get_Name()

      Specified by:
        `get_Name` in class `Expr`

    - #### toString

          public java.lang.String toString()

      Author: Martin PlÃ¯Â¿Â½micke
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:

    - #### wandleRefTypeAttributes2GenericAttributes

          public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                                Menge<GenericTypeVar> genericMethodParameters)

      Specified by:
        `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

    - #### TYPEExpr

          public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

      Specified by:
        `TYPEExpr` in class `Expr`

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

      Specified by:
        `printJavaCode` in class `Statement`

    - #### getChildren

          public Menge<SyntaxTreeNode> getChildren()

      Specified by:
        `getChildren` in class `SyntaxTreeNode`